
_main:

;rx.c,6 :: 		void main() {
;rx.c,7 :: 		char dato1=0B11110000; //inizializzazioni variabili
	MOVLW      240
	MOVWF      main_dato1_L0+0
	MOVLW      15
	MOVWF      main_dato2_L0+0
;rx.c,11 :: 		configura();
	CALL       _configura+0
;rx.c,13 :: 		UART1_init(1000); //inizializzazione modulo UART
	MOVLW      249
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;rx.c,15 :: 		while(1){
L_main0:
;rx.c,16 :: 		centro();  // si posiziona la centro
	CALL       _centro+0
;rx.c,18 :: 		while( UART1_Data_Ready()==1) {//controlla se ci sono dati
L_main2:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main3
;rx.c,20 :: 		dato= UART1_Read(); // se ci sono vengono caricati nella variabile dato
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      main_dato_L0+0
;rx.c,22 :: 		if (dato == dato1) { //confronto tra dato e dato1
	MOVF       R0+0, 0
	XORWF      main_dato1_L0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main4
;rx.c,23 :: 		destra();        //chiama la funzione destra()
	CALL       _destra+0
;rx.c,24 :: 		delay_ms(30);
	MOVLW      39
	MOVWF      R12+0
	MOVLW      245
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
;rx.c,25 :: 		}
L_main4:
;rx.c,26 :: 		if (dato == dato2) { //confronto tra dato e dato2
	MOVF       main_dato_L0+0, 0
	XORWF      main_dato2_L0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main6
;rx.c,27 :: 		sinistra();       //chiama la funzione sinistra()
	CALL       _sinistra+0
;rx.c,28 :: 		delay_ms(30);
	MOVLW      39
	MOVWF      R12+0
	MOVLW      245
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
;rx.c,29 :: 		}
L_main6:
;rx.c,30 :: 		}
	GOTO       L_main2
L_main3:
;rx.c,34 :: 		}
	GOTO       L_main0
;rx.c,36 :: 		}
	GOTO       $+0
; end of _main

_configura:

;rx.c,39 :: 		void configura(void)
;rx.c,41 :: 		trisc= 0xef;
	MOVLW      239
	MOVWF      TRISC+0
;rx.c,42 :: 		trisb= 0x00;
	CLRF       TRISB+0
;rx.c,43 :: 		option_reg =0x80;
	MOVLW      128
	MOVWF      OPTION_REG+0
;rx.c,44 :: 		}
	RETURN
; end of _configura

_destra:

;rx.c,46 :: 		void destra (void)
;rx.c,48 :: 		RB1_bit=1;
	BSF        RB1_bit+0, 1
;rx.c,49 :: 		delay_us(1000);
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_destra8:
	DECFSZ     R13+0, 1
	GOTO       L_destra8
	DECFSZ     R12+0, 1
	GOTO       L_destra8
;rx.c,50 :: 		RB1_bit=0 ;
	BCF        RB1_bit+0, 1
;rx.c,51 :: 		delay_us(19000) ;
	MOVLW      25
	MOVWF      R12+0
	MOVLW      171
	MOVWF      R13+0
L_destra9:
	DECFSZ     R13+0, 1
	GOTO       L_destra9
	DECFSZ     R12+0, 1
	GOTO       L_destra9
	NOP
	NOP
;rx.c,52 :: 		}
	RETURN
; end of _destra

_sinistra:

;rx.c,54 :: 		void sinistra (void)
;rx.c,56 :: 		RB1_bit=1;
	BSF        RB1_bit+0, 1
;rx.c,57 :: 		delay_us(2000);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_sinistra10:
	DECFSZ     R13+0, 1
	GOTO       L_sinistra10
	DECFSZ     R12+0, 1
	GOTO       L_sinistra10
	NOP
	NOP
;rx.c,58 :: 		RB1_bit=0 ;
	BCF        RB1_bit+0, 1
;rx.c,59 :: 		delay_us(18000) ;
	MOVLW      24
	MOVWF      R12+0
	MOVLW      95
	MOVWF      R13+0
L_sinistra11:
	DECFSZ     R13+0, 1
	GOTO       L_sinistra11
	DECFSZ     R12+0, 1
	GOTO       L_sinistra11
;rx.c,60 :: 		}
	RETURN
; end of _sinistra

_centro:

;rx.c,61 :: 		void centro(void)
;rx.c,63 :: 		RB1_bit=1;
	BSF        RB1_bit+0, 1
;rx.c,64 :: 		delay_us(1500);
	MOVLW      2
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_centro12:
	DECFSZ     R13+0, 1
	GOTO       L_centro12
	DECFSZ     R12+0, 1
	GOTO       L_centro12
	NOP
	NOP
;rx.c,65 :: 		RB1_bit=0 ;
	BCF        RB1_bit+0, 1
;rx.c,66 :: 		delay_us(18500) ;
	MOVLW      25
	MOVWF      R12+0
	MOVLW      5
	MOVWF      R13+0
L_centro13:
	DECFSZ     R13+0, 1
	GOTO       L_centro13
	DECFSZ     R12+0, 1
	GOTO       L_centro13
;rx.c,67 :: 		}
	RETURN
; end of _centro
